Page MenuHomePhabricator

Ranking of repositories in Korma's code review page should update more often
Closed, ResolvedPublic

Description

Some time ago, the ranking of repositories at http://korma.wmflabs.org/browser/gerrit_review_queue.html would update on a daily basis. Now it takes several days, apparently.

Can we go back to a daily frequency (or even faster, if possible)? Thanks to tasks like T101686 and the discussion they generate, we have more people looking at that ranking and more people acting upon it. However, if the ranking takes days to refresh, we get most people trying to fix address the same changesets... that someone has addressed already. Waiting some days to see what are the new most inactives repos is not efficient.

Related Objects

StatusSubtypeAssignedTask
DuplicateQgil
ResolvedQgil
ResolvedQgil
InvalidNone
InvalidNone
ResolvedAklapper
DeclinedNone
DeclinedNone
OpenNone
ResolvedQgil
ResolvedQgil
ResolvedQgil
ResolvedQgil
ResolvedAklapper
ResolvedNone
ResolvedAklapper
ResolvedAklapper
ResolvedDicortazar

Event Timeline

Qgil created this task.Jun 11 2015, 12:49 PM
Qgil assigned this task to Dicortazar.
Qgil raised the priority of this task from to Needs Triage.
Qgil updated the task description. (Show Details)
Qgil added a project: wikimedia.biterg.io.
Qgil added a subscriber: Qgil.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 11 2015, 12:49 PM

This is updated twice a week. I'd say that the current bottleneck is related to the SCM analysis, so a potential option is to update only the code review part, and updating the rest of the dashboard each couple of days.

Would it be an intermediate solution till we improve the performance?

Qgil added a comment.Jun 15 2015, 8:30 AM

Sure, SCM analysis can be refreshed at the beginning of the month if needed. We are not looking at intermediate stats. We are focusing our attention in code review only, so the fastest we can refresh there, the better. The rest of metrics are needed for monthly & quarterly reports.

Qgil triaged this task as Medium priority.Jun 25 2015, 8:30 AM
Qgil added a project: ECT-July-2015.
Qgil set Security to None.
Aklapper raised the priority of this task from Medium to High.Jun 25 2015, 9:26 AM
Aklapper moved this task from Backlog to Doing on the wikimedia.biterg.io board.Aug 11 2015, 9:18 AM

This task is already runnning daily, while the rest of the dashboard is updated every three days.

Thus, all code-review-related-information should be daily updated. This covers:

  • Code review overview page with info about Total reviews by patchets, sent patchsets, reviewers, people uploading patchsets, etc.
  • name with info about Code Review users and Code Review committers contributors lists.
  • Code review queue with the ranking of repositories
  • Code Review Backlog with info about the oldest gerrit changes without code review or with the most active.

You can follow how updated each data source is by following the Data Sources page.

The process ignores the day of today for the analysis. Thus, given that this is currently running, once this is ready, the code review data source should be updated to yesterday.

Qgil added a comment.Aug 12 2015, 12:03 PM

One day for code review and three days for the rest looks is a very good frequency, thank you. Fell free closing this task as Resolved if you are done.

Ok, so I'm closing this task since the server is already running and the dataset was updated.

Dicortazar closed this task as Resolved.Aug 14 2015, 2:31 PM
Dicortazar moved this task from Backlog to Doing on the ECT-August-2015 board.